Bug 122859 - slow /md0 raid 5 under smp kernel (ok single, ok smp acpi=off amp=off)
slow /md0 raid 5 under smp kernel (ok single, ok smp acpi=off amp=off)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
rawhide
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Doug Ledford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-09 09:44 EDT by Robin L
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-19 14:56:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin L 2004-05-09 09:44:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
Hardware is Pentium 4 HT capable 2.8Ghz on Abit IC7 Max3 motherboard.
(which is intel 875 chipset) with 1gig of ram.

If I boot the smp kernel then hdparm and normal file access to files
on /dev/md0 mounted as /raid. Raid is 6 200gig sata drives in raid 5
128k chunk  filesystem is ext3 block size is 2048 stride is set to 64.
(created with mdadm and started with it)

Using default kernels on fc2 test3 release 2.6.5-1.327 and 2.6.5-1.327smp.

hdparm -Tt /dev/md0   under smp - is 15-22 megabytes/sec
hdparm -Tt /dev/md0   under single cpu - is over 100 megabytes/sec

Reading a 3 gigabyte file from /raid shows an equivalent different in
performance under the smp and single kernels.

hdparm any of the 6 raw drives in the md0 raid. 
hdparm -Tt /dev/sda1 -  gives around 48 megabytes sec in either the
smp or the single cpu kernel. It appears just the software raid device
 is having some sort of problem.

I cannot find any errors appearing in the logs (though maybe i just
dont know all the places to look).

If I boot the smp kernel with acpi=off and apm=off then smp kernel
appears to give same sort of performance as single cpu.




Version-Release number of selected component (if applicable):
mdadm-1.5.0-3

How reproducible:
Always

Steps to Reproduce:
1. boot smp kernel
2. hdparm -Tt /dev/md0
3.
    

Actual Results:  Its much slower in performance than in single cpu
kernel or with acpi=off apm=off.


Additional info:
Comment 1 Len Brown 2004-05-19 18:08:08 EDT
Please attach the dmesg and /proc/interrupts from the 
successful UP kernel, and failing MP kernel. 
 
It may be an IOAPIC issue, since that comes along with the SMP kernel. 
 
Comment 2 Doug Ledford 2006-09-19 14:56:04 EDT
Closing this bug due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.